from graphEntity          import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_Inverter(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 43, 33
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 1
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_polygon(self.translate([3.0, 2.0, 3.0, 31.0, 34.0, 16.0]), tags = self.tag, stipple= '', width= '1.0', splinesteps= '12', outline= 'black', smooth= 0, fill= 'lightgreen')
        self.gf2 = GraphicalForm(drawing, h, "gf2")
        self.graphForms.append(self.gf2)
        h = drawing.create_text(self.translate([13.0, 16.0]), tags =
	self.tag, stipple= '', width= '0', fill= 'black', text= '1/', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.gf3 = GraphicalForm(drawing, h, "gf3")
        self.graphForms.append(self.gf3)
        h = drawing.create_oval(self.translate([3.0, 17.0, 3.0, 17.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'red')
        self.connectors.append(h)
        h = drawing.create_oval(self.translate([35.0, 17.0, 35.0, 17.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'blue')
        self.connectors.append(h)
        self.namedConnectors[h] = "block_out_port"


    def postCondition (self, actionID, * params):
       return None

    def preCondition (self, actionID, * params):
       return None


new_class = graph_Inverter
